JHelpFavoritesNavigator

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class JHelpFavoritesNavigator

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.help.JHelpNavigator
                              |
                              +--javax.help.JHelpFavoritesNavigator

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class JHelpFavoritesNavigator
extends JHelpNavigator

JHelpFavoritesNavigator is a JHelpNavigator for Favorites. All the tree navigation and selection has been delegated to the UI where the JTree is created.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JHelpFavoritesNavigator(HelpSet hs, java.lang.String name, java.lang.String label, java.net.URL data)` Creates an Index navigator with explicit arguments.
`JHelpFavoritesNavigator(NavigatorView view)` Creates an Index navigator.
`JHelpFavoritesNavigator(NavigatorView view, HelpModel model)` Creates a Index navigator.

Method Summary
`boolean` | `canMerge(NavigatorView view)` Determines if this instance of a JHelpNavigator can merge its data with another one.
`void` | `collapseID(java.lang.String target)` Sets state of navigation entry for given target to collapsed if entry is visible.
`void` | `expandID(java.lang.String target)` Sets state of navigation entry for given target to expanded.
`javax.swing.Action` | `getAddAction()` Returns an AddAction object for this navigator
`java.lang.String` | `getUIClassID()` Gets the UID for this JComponent.

Methods inherited from class javax.help.JHelpNavigator
`addHelpModelListener, getAccessibleContext, getIcon, getModel, getNavigatorLabel, getNavigatorLabel, getNavigatorName, getNavigatorView, getSelectedItems, getUI, merge, remove, removeHelpModelListener, setModel, setSelectedItems, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JHelpFavoritesNavigator

    public JHelpFavoritesNavigator(NavigatorView view)

  Creates an Index navigator.

Parameters:
  `view` - The NavigatorView

### JHelpFavoritesNavigator

    public JHelpFavoritesNavigator(NavigatorView view,
                                   HelpModel model)

  Creates a Index navigator.

Parameters:
  `view` - The NavigatorView.
  `model` - The model for the Navigator.

### JHelpFavoritesNavigator

    public JHelpFavoritesNavigator(HelpSet hs,
                                   java.lang.String name,
                                   java.lang.String label,
                                   java.net.URL data)
                            throws InvalidNavigatorViewException

  Creates an Index navigator with explicit arguments. Note that this should not throw an InvalidNavigatorViewException since we are implicitly passing the type.

Parameters:
  `hs` - HelpSet
  `name` - The name identifying this HelpSet.
  `label` - The label to use (for this locale).
  `data` - The "data" part of the parameters, a URL location of the TOC data.

Method Detail

### getUIClassID

    public java.lang.String getUIClassID()

  Gets the UID for this JComponent.

  Overrides:
    `getUIClassID` in class `JHelpNavigator`
  Returns:
    "HelpNavigatorUI"

### canMerge

    public boolean canMerge(NavigatorView view)

  Determines if this instance of a JHelpNavigator can merge its data with another one.

  Overrides:
    `canMerge` in class `JHelpNavigator`
  Parameters:
    `view` - The data to merge
  Returns:
    Whether it can be merged
  See Also:
    `JHelpNavigator.merge(NavigatorView)`, `JHelpNavigator.remove(NavigatorView)`

### expandID

    public void expandID(java.lang.String target)

  Sets state of navigation entry for given target to expanded. Non-empty entry is expanded. Empty entry is visible.

  Parameters:
    `target` - The target to expand

### collapseID

    public void collapseID(java.lang.String target)

  Sets state of navigation entry for given target to collapsed if entry is visible. Parent is collapsed if entry is empty.

  Parameters:
    `target` - The target to collapse

### getAddAction

    public javax.swing.Action getAddAction()

  Returns an AddAction object for this navigator

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD